org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Of

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Of
    extends Stage

A publisher of zero to many values.

When built, must produce a publisher that produces all the values (until cancelled) emitted by this iterables iterator, followed by completion of the stream.

Any exceptions thrown by the iterator must be propagated downstream, or by the invocation of the `iterator` method, must be propagated downstream.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<?>` `getElements()` The elements to emit.

### Method Detail

#### getElements

    Iterable<?> getElements()

The elements to emit.

Returns:
  The elements to emit.